[build-system]
requires = ["setuptools>=61.0"]
build-backend = "setuptools.build_meta"

[project]
name = "erminig"
version = "0.0.1"
description = "Erminig: Une forge logicielle bretonne artisanale"
authors = [{ name = "Lomig", email = "lomig@example.com" }]
readme = "README.md"
license = "MIT"
requires-python = ">=3.13"
dependencies = ["requests", "PyYAML", "pytest"]

[tool.setuptools]
packages = [
    "erminig",
    "erminig.cli",
    "erminig.controllers.evezh",
    "erminig.controllers.evezh.parsers",
    "erminig.models",
]

[project.scripts]
erminit-init = "erminig.cli.init:main"
evezh = "erminig.cli.evezh:main"
govel = "erminig.cli.govel:main"
